View Javadoc

    1   package net.sourceforge.pmd.lang;
    2
    3   import net.sourceforge.pmd.lang.ast.Node;
    4
    5   /**
    6    * Interface for starting an implementation of the visitors for ASTs.
    7    *
    8    * @author pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be
    9    */
    10  public interface VisitorStarter {
    11
    12      VisitorStarter DUMMY = new VisitorStarter() {
    13  	public void start(Node rootNode) {
    14  	}
    15      };
    16
    17      /**
    18       * Start the visitor, given the root-node of the AST.
    19       *
    20       * @param rootNode The root node of the AST
    21       */
    22      void start(Node rootNode);
    23  }